<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/23/2003 *
 * ===============                              Last change: 09/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-sub_points.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add manually points to a user                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Manuell einem Mitglied Punkte gutschreiben       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (getRequestElement('userid') == 'all') {
	// Add points to all accounts
	$content['points'] = bigintval(postRequestElement('points'));

	// Is the form sent?
	if ((isFormSent()) && (postRequestElement('points') > 0)) {
		$result_main = SQL_QUERY("SELECT userid, email FROM `{?_MYSQL_PREFIX?}_user_data` WHERE `status`='CONFIRMED' ORDER BY `userid` ASC",
		__FILE__, __LINE__);
		while ($content = merge_array($content, SQL_FETCHARRAY($result_main))) {
			// Ok, add points to used points and send an email to him...
			subtractPoints('admin_all', $content['userid'], postRequestElement('points'));

			// Add more content
			$content['text']   = SQL_ESCAPE(postRequestElement('reason'));
			$content['points'] = bigintval(postRequestElement('points'));

			// Load message and send it away
			$message = loadEmailTemplate('sub-points', $content, bigintval($content['userid']));
			sendEmail($content['email'], getMessage('ADMIN_SUB_SUBJ'), $message);
		} // END - while

		// Free memory
		SQL_FREERESULT($result_main);

		// Output message
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_ALL_POINTS_SUBTRACTED'));
	} else {
		// Display form add points
		loadTemplate('admin_sub_points_all');
	}
} elseif (isGetRequestElementSet('userid')) {
	// User ID found in URL so we use this give him some credits
	$result = SQL_QUERY_ESC("SELECT `surname`, `family`, `email` FROM `{?_MYSQL_PREFIX?}_user_data` WHERE `userid`=%s AND `status`='CONFIRMED' LIMIT 1",
		array(bigintval(getRequestElement('userid'))),__FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Selected user does exist
		$content = SQL_FETCHARRAY($result);

		if ((isFormSent()) && (isPostRequestElementSet(('points')))) {
			// Ok, add to used points and send an email to him...
			subtractPoints('admin_single', bigintval(getRequestElement('userid')), postRequestElement('points'));

			// Add more content
			$content['text']   = SQL_ESCAPE(postRequestElement('reason'));
			$content['points'] = bigintval(postRequestElement('points'));

			// Load email and send it away
			$message = loadEmailTemplate('sub-points', $content, bigintval(getRequestElement('userid')));
			sendEmail($content['email'], getMessage('ADMIN_SUB_SUBJ'), $message);

			// Output message
			loadTemplate('admin_settings_saved', false, getMessage('ADMIN_POINTS_SUBTRACTED'));
		} else {
			// Prepare content
			$content['user']   = "<a href=\"".generateEmailLink($content['email'], 'user_data')."\">".$content['surname']." ".$content['family']."</a>";
			$content['userid'] = bigintval(getRequestElement('userid'));

			// Load form
			loadTemplate('admin_sub_points', false, $content);
		}
	} else {
		// User not found!
		loadTemplate('admin_settings_saved', false, "<div class=\"admin_failed\">".sprintf(getMessage('ADMIN_MEMBER_404'), getRequestElement('userid'))."</div>");
	}

	// Free result
	SQL_FREERESULT($result);
} else {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox('0', true);
}

// [EOF]
?>
