<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/12/2004 *
 * ================                             Last change: 11/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-themes.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Theme selector                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Theme-Auswahl                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isBlockModeEnabled()) {
	// Block mode detected
	return;
}

if ((!isExtensionActive('theme')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('theme'));
	return;
} // END - if

// Get total num
if (isAdmin()) {
	// Load only active designs for user
	$num_themes = countSumTotalData('Y', 'themes', 'id', 'theme_active', true);
} else {
	// Load all themes for admin
	$num_themes = countSumTotalData('', 'themes', 'id', '', true);
}

$OUT = '';
if ($num_themes > 1) {
	// If more than 1 is installed output selection box
	$OUT = generateThemeSelectionBox();
} elseif (($num_themes == 1) || ((!isAdmin()) && ($num_themes == 0))) {
	// If there's only one just output it's name
	$OUT = loadTemplate('theme_one', true, getCurrentThemeName());
} elseif (isAdmin()) {
	// If there is no theme installed and there's an admin notify him!
	$OUT = '{--ADMIN_NO_THEME_INSTALLED_WARNING--}';
}

// Load final box template
$GLOBALS['rows'] .= loadTemplate('theme_select_box', true, $OUT);

// [EOF]
?>
